> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the scrape pages for a file



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /library/files/{fileId}/scrape-pages
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /library/files/{fileId}/scrape-pages:
    get:
      tags:
        - Library
      summary: Get the scrape pages for a file
      parameters:
        - name: fileId
          in: path
          description: The ID of the file to get the scrape pages for.
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebscrapePageDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebscrapePageDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebscrapePageDto'
components:
  schemas:
    WebscrapePageDto:
      type: object
      properties:
        url:
          type: string
          nullable: true
        enabled:
          type: boolean
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````